---
title: Create a Story Mapping
description: Map a story to an experiment variant.
url: https://storyblok.com/docs/api/management/experiments/create-a-story-mapping
---

# Create a Story Mapping

Create a variant story by duplicating the original story and mapping the two stories.

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/experiments/:experiment_id/variants/:variant_id/story_mappings
```

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space.
    
-   `:experiment_id` (required) (number)
    
    Numeric ID of the experiment.
    
-   `:variant_id` (required) (number)
    
    Numeric ID of the experiment variant.
    

## Request body properties

-   `story_mapping` (required) (object)
    
    The story mapping to create.
    
    Show child properties
    
    -   `original_story_id` (required) (number)
        
        Numeric ID of the [story](/docs/api/management/stories/the-story-object) to duplicate as a variant.
        
    -   `variant_story_id` (number)
        
        Numeric ID of an existing [story](/docs/api/management/stories/the-story-object) to link as the variant. When provided, the original story isn’t duplicated.
        
    

## Response properties

-   `story_mapping` (object)
    
    The created story mapping.
    
    Show child properties
    
    -   `experiment_variant_id` (number)
        
        Numeric ID of the variant the mapping belongs to.
        
    -   `original_story_id` (number)
        
        Numeric ID of the original [story](/docs/api/management/stories/the-story-object).
        
    -   `variant_story_id` (number)
        
        Numeric ID of the variant story that replaces the original story when loading the variant.
        
    -   `original_slug` (string)
        
        `full_slug` of the original story.
        
    -   `variant_slug` (string)
        
        `full_slug` of the variant story.
        
    -   `variant_story` (object)
        
        The variant [story object](/docs/api/management/stories/the-story-object).
        
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"story_mapping\":{\"original_story_id\":176024833123843}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings', {
        "story_mapping": {
          "original_story_id": 176024833123843
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["story_mapping" => ["original_story_id" => 176024833123843]];
    
    $client->post('spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"story_mapping":{"original_story_id":176024833123843}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"story_mapping\":{\"original_story_id\":176024833123843}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings"
    
    querystring = {}
    
    payload = {"story_mapping":{"original_story_id":176024833123843}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"story_mapping" => {"original_story_id" => 176024833123843}}
    
    client.post('spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "story_mapping": [
            "original_story_id": 176024833123843,
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/experiments/176070002766742/variants/1002/story_mappings") {
        setBody(buildJsonObject {
            putJsonObject("story_mapping") {
                put("original_story_id", 176024833123843)
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Complete an Experiment with a Winning Variant](/docs/api/management/experiments/complete-an-experiment-with-a-winning-variant)
-   [Next: Create an Experiment](/docs/api/management/experiments/create-an-experiment)
